import request from '@/utils/request'

// 查询cmc调岗申请列表
export function listTransfer(query) {
  return request({
    url: '/oa/transfer/list',
    method: 'get',
    params: query
  })
}

// 查询cmc调岗申请详细
export function getTransfer(transferId) {
  return request({
    url: '/oa/transfer/' + transferId,
    method: 'get'
  })
}

// 新增cmc调岗申请
export function addTransfer(data) {
  return request({
    url: '/oa/transfer',
    method: 'post',
    data: data
  })
}

// 修改cmc调岗申请
export function updateTransfer(data) {
  return request({
    url: '/oa/transfer',
    method: 'put',
    data: data
  })
}

// 删除cmc调岗申请
export function delTransfer(transferId) {
  return request({
    url: '/oa/transfer/' + transferId,
    method: 'delete'
  })
}
